Trigger Export Task

Trigger Export Task
Start an Export Task

Start an Export Task for previous completed pre-check run

Request
URI
POST
https://{api_host}/v1/system/check-sets/{runId}/exports
COPY
Path Parameters
string
runId
Required

UUID for the Pre-check Task to be exported


Responses
202

File Generation is queued or accepted to be processed

Returns ExportTaskRest of type(s) application/json
{
    "status": "string",
    "progress": "number",
    "startTimestamp": "2023-10-26T10:00:00Z",
    "endTimestamp": "2023-10-26T10:15:30Z",
    "error": {
        "message": "string",
        "remediationMessage": "string",
        "referenceToken": "string"
    }
}
string
status
Required
Constraints: default: NOT_STARTED

Represents the possible states of an export task.

Possible values are : NOT_STARTED, QUEUED, IN_PROGRESS, COMPLETED, FAILED,
number As double As double
progress
Optional
Constraints: minimum: 0 maximum: 100

Current progress of the task as a decimal from 0.0 to 100.0 (representing 0% to 100%).

string
startTimestamp
Required

Timestamp when the export task began processing.

string
endTimestamp
Optional

Timestamp when the export task completed (successfully or with error). Null if still in progress.

object
error
Optional

Represent an Export Task error


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


429

Too Many Export Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/v1/system/check-sets/{runId}/exports